﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Ukazka2Defektu.Stetce
{
    /// <summary>
    /// Interakční logika pro EfektMaskaObrazek.xaml
    /// </summary>
    public partial class EfektMaskaObrazek : UserControl
    {
        public EfektMaskaObrazek()
        {
            InitializeComponent();

            cbxMaska.Items.Add("maska 1");
            cbxMaska.Items.Add("maska 2");
            cbxMaska.Items.Add("maska 3");
            cbxMaska.Items.Add("maska 4");
            cbxMaska.Items.Add("maska 5");
            cbxMaska.SelectedValue = "maska 3";
        }

        /// <summary>
        /// Nastavení vybrané masky
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ZmenaMasky(object sender, SelectionChangedEventArgs e)
        {
            if (cbxMaska != null)
            {
                string vybrano = cbxMaska.SelectedItem.ToString();
                switch (vybrano)
                {
                    case "maska 1":
                        bdrRamecek.Background = Brushes.Transparent;
                        imgMaska.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Ukazka2Defektu;component/Masky/maska1.gif"));
                        imgUkazka.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Ukazka2Defektu;component/Masky/maska1.gif"));
                        break;
                    case "maska 2":
                        bdrRamecek.Background = Brushes.Transparent;
                        imgMaska.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Ukazka2Defektu;component/Masky/maska2.gif"));
                        imgUkazka.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Ukazka2Defektu;component/Masky/maska2.gif"));
                        break;
                    case "maska 3":
                        bdrRamecek.Background = Brushes.Transparent;
                        imgMaska.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Ukazka2Defektu;component/Masky/maska3.gif"));
                        imgUkazka.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Ukazka2Defektu;component/Masky/maska3.gif"));
                        break;
                    case "maska 4":
                        bdrRamecek.Background = Brushes.Black;
                        imgMaska.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Ukazka2Defektu;component/Masky/maska4.gif"));
                        imgUkazka.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Ukazka2Defektu;component/Masky/maska4.gif"));
                        break;
                    case "maska 5":
                        bdrRamecek.Background = Brushes.Black;
                        imgMaska.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Ukazka2Defektu;component/Masky/maska5.gif"));
                        imgUkazka.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Ukazka2Defektu;component/Masky/maska5.gif"));
                        break;
                    default:
                        break;
                }
            }
        }
    }
}
