﻿using System.Windows;
using System.Windows.Controls;

namespace Ukazka2Defektu.Stetce
{
    /// <summary>
    /// Interakční logika pro EfektVisualBrush.xaml
    /// </summary>
    public partial class EfektVisualBrush : UserControl
    {
        public EfektVisualBrush()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Nastavení souřadnice Y EndPointu
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void NastavEndPoint(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            if (sdrEndPoint != null)
            {
                Point endPoint = new Point(0.5, sdrEndPoint.Value);
                lgbMaska1.EndPoint = endPoint;
                lgbMaska2.EndPoint = endPoint;
            }
        }
    }
}
