﻿using System.Windows;
using System.Windows.Controls;

namespace Ukazka2Defektu.Efekty
{
    /// <summary>
    /// Interakční logika pro TransformaceText.xaml
    /// </summary>
    public partial class TransformaceText : UserControl
    {
        public TransformaceText()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Nastavení vlastnosti RenderTransformOrigin
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void NastavRender(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            if (sdrRenderX != null && sdrRenderY != null)
            {
                lblText.RenderTransformOrigin = new Point(sdrRenderX.Value, sdrRenderY.Value);
            }
        }
    }
}
